
release_dir:
	@if test ! -d Release; then echo Create Release directory; mkdir Release; fi

release_examples_dir: release_dir
	@if test ! -d Release/Examples; then echo Create Examples directory; mkdir Release/Examples; fi

debug_dir:
	@if test ! -d Debug; then echo Create Debug directory; mkdir Debug; fi

debug_examples_dir: debug_dir
	@if test ! -d Debug/Examples; then echo Create Examples directory; mkdir Debug/Examples; fi

test_dir:
	@if test ! -d Test; then echo Create Test directory; mkdir Test; fi

test_objects_dir:
	@if test ! -d Test/Objects; then echo Create Objects directory; mkdir Test/Objects; fi
	
dep_dir:
	@if test ! -d dep; then echo Create dep directory; mkdir dep; fi

clean::
	@if test -d Release; then \
	rm -rf Release; \
	echo Removed release files; \
	fi
	@if test -d Debug; then \
	rm -rf Debug; \
	echo Removed debug files; \
	fi
	@if test -d Test; then \
	rm -rf Test; \
	echo Removed test files; \
	fi
	@if test -d dep; then \
	rm -rf dep; \
	echo Removed dep files; \
	fi
