//----------------------------------------------------------------------------
//	Copyright (C) 2002, 2004, 2007 Humboldt-Universitaet zu Berlin
//
//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.
//
//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.
//
//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//----------------------------------------------------------------------------
/**	\file InSort.cpp

	\author Ronald Kluth
	<!-- [\author <author>]* -->

	\date created at 2007/11/08

	\brief Definition of extern sorting operators declared in InSort.h

	<!-- [\sa <pair-file>] -->

	<!-- [detailed description] -->

	\since 2.1
*/

#include <odemx/base/InSort.h>

// comparison functor; declaration needed for ExecutionList::inSort()
odemx::DefaultCmp odemx::defCmp;

// comparison functor; declaration needed for ProcessQueue::inSort()
odemx::QPriorityCmp odemx::qPrioCmp;
