
coverage_analysis :
	@if ! lcov -q -d . -b . -z; \
	then \
	echo Test coverage requires lcov and genhtml to be installed; \
	else \
	echo Creating coverage.info file... ; \
	lcov -q -d . -b . -c -o Test/temp.info; \
	lcov -q -r Test/temp.info \/usr\* \/test\* > Test/coverage.info; \
	echo Generating HTML coverage report...; \
	cd Test; genhtml -q -o Coverage coverage.info; \
	echo See odemx/GCC/Test/Coverage/index.html for details; \
	fi
