releaseLib : Release/libOdemX.a

include buildTools.make includePath.make
include library.make

CXXFLAGS=-O2 -D NDEBUG

Release/%.o : %.cpp
	@echo Compile $< to target $@
	@$(CC) -c $(CXXFLAGS) $(ODEMX_CXXFLAGS) $(INCLUDEPATHS) $< -o $@ 2>>error.log || echo error

Release/libOdemX.a : $(patsubst %.o,Release/%.o,$(OBJECTS))
	@if test -f error.log -a ! -s error.log; then rm error.log; fi
	@if test -f error.log;\
	then echo; echo There where errors during build process:; echo;\
	cat error.log;\
	echo; echo see error.log for detail; echo;\
	else echo Building archive; ar rs $@ Release/*.o;\
	fi

include  $(patsubst %.o,dep/%.d,$(OBJECTS))