#pragma once


namespace odemxProjectCreator {

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;

	/// <summary>
	/// Summary for Form1
	///
	/// WARNING: If you change the name of this class, you will need to change the
	///          'Resource File Name' property for the managed resource compiler tool
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
	public ref class Form1 : public System::Windows::Forms::Form
	{
	public:
		Form1(void)
		{
			InitializeComponent();
			projectWriter = gcnew ProjectWriter();
			templateFound = false;
			odemxFound = false;
		}

	protected:
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		~Form1()
		{
			if (components)
			{
				delete components;
			}
		}

	private: System::Windows::Forms::OpenFileDialog^  openFileDialog1;
	private: System::Windows::Forms::TextBox^  textBox2;
	private: System::Windows::Forms::Button^  button1;
	private: System::Windows::Forms::TextBox^  textBox1;
	private: System::Windows::Forms::Label^  label1;
	private: System::Windows::Forms::FolderBrowserDialog^  folderBrowserDialog1;
	private: System::Windows::Forms::Button^  button2;
	private: System::Windows::Forms::TextBox^  textBox3;
	private: System::Windows::Forms::Button^  button3;
	private: System::Windows::Forms::Label^  label2;
	private: System::Windows::Forms::Label^  label3;
	private: System::Windows::Forms::SaveFileDialog^  saveFileDialog1;

	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container ^components;

#pragma region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->openFileDialog1 = (gcnew System::Windows::Forms::OpenFileDialog());
			this->textBox2 = (gcnew System::Windows::Forms::TextBox());
			this->button1 = (gcnew System::Windows::Forms::Button());
			this->textBox1 = (gcnew System::Windows::Forms::TextBox());
			this->label1 = (gcnew System::Windows::Forms::Label());
			this->folderBrowserDialog1 = (gcnew System::Windows::Forms::FolderBrowserDialog());
			this->button2 = (gcnew System::Windows::Forms::Button());
			this->textBox3 = (gcnew System::Windows::Forms::TextBox());
			this->button3 = (gcnew System::Windows::Forms::Button());
			this->label2 = (gcnew System::Windows::Forms::Label());
			this->label3 = (gcnew System::Windows::Forms::Label());
			this->saveFileDialog1 = (gcnew System::Windows::Forms::SaveFileDialog());
			this->SuspendLayout();
			// 
			// openFileDialog1
			// 
			this->openFileDialog1->FileName = L"openFileDialog1";
			this->openFileDialog1->FileOk += gcnew System::ComponentModel::CancelEventHandler(this, &Form1::openFileDialog1_FileOk);
			// 
			// textBox2
			// 
			this->textBox2->Location = System::Drawing::Point(189, 12);
			this->textBox2->Name = L"textBox2";
			this->textBox2->Size = System::Drawing::Size(707, 28);
			this->textBox2->TabIndex = 0;
			// 
			// button1
			// 
			this->button1->Location = System::Drawing::Point(793, 63);
			this->button1->Name = L"button1";
			this->button1->Size = System::Drawing::Size(103, 32);
			this->button1->TabIndex = 1;
			this->button1->Text = L"Browse...";
			this->button1->UseVisualStyleBackColor = true;
			this->button1->Click += gcnew System::EventHandler(this, &Form1::button1_Click);
			// 
			// textBox1
			// 
			this->textBox1->BackColor = System::Drawing::SystemColors::Info;
			this->textBox1->Location = System::Drawing::Point(189, 65);
			this->textBox1->Name = L"textBox1";
			this->textBox1->ReadOnly = true;
			this->textBox1->Size = System::Drawing::Size(598, 28);
			this->textBox1->TabIndex = 7;
			this->textBox1->TabStop = false;
			this->textBox1->Text = L"Location of \"VSProjectTemplate.xml\" required";
			// 
			// label1
			// 
			this->label1->AccessibleRole = System::Windows::Forms::AccessibleRole::None;
			this->label1->AutoSize = true;
			this->label1->Location = System::Drawing::Point(12, 15);
			this->label1->Name = L"label1";
			this->label1->Size = System::Drawing::Size(129, 24);
			this->label1->TabIndex = 4;
			this->label1->Text = L"Project Name:";
			// 
			// folderBrowserDialog1
			// 
			this->folderBrowserDialog1->Description = L"Browse for location of \"odemx\"";
			this->folderBrowserDialog1->ShowNewFolderButton = false;
			// 
			// button2
			// 
			this->button2->Location = System::Drawing::Point(793, 119);
			this->button2->Name = L"button2";
			this->button2->Size = System::Drawing::Size(103, 32);
			this->button2->TabIndex = 2;
			this->button2->Text = L"Browse...";
			this->button2->UseVisualStyleBackColor = true;
			this->button2->Click += gcnew System::EventHandler(this, &Form1::button2_Click);
			// 
			// textBox3
			// 
			this->textBox3->BackColor = System::Drawing::SystemColors::Info;
			this->textBox3->Location = System::Drawing::Point(189, 121);
			this->textBox3->Name = L"textBox3";
			this->textBox3->ReadOnly = true;
			this->textBox3->Size = System::Drawing::Size(598, 28);
			this->textBox3->TabIndex = 1;
			this->textBox3->TabStop = false;
			this->textBox3->Text = L"Location of folder \"odemx\" required";
			// 
			// button3
			// 
			this->button3->Location = System::Drawing::Point(16, 181);
			this->button3->Name = L"button3";
			this->button3->Size = System::Drawing::Size(880, 44);
			this->button3->TabIndex = 3;
			this->button3->Text = L"Create new ODEMx Project";
			this->button3->UseVisualStyleBackColor = true;
			this->button3->Click += gcnew System::EventHandler(this, &Form1::button3_Click);
			// 
			// label2
			// 
			this->label2->AutoSize = true;
			this->label2->Location = System::Drawing::Point(12, 68);
			this->label2->Name = L"label2";
			this->label2->Size = System::Drawing::Size(157, 24);
			this->label2->TabIndex = 5;
			this->label2->Text = L"Project Template:";
			// 
			// label3
			// 
			this->label3->AutoSize = true;
			this->label3->Location = System::Drawing::Point(12, 124);
			this->label3->Name = L"label3";
			this->label3->Size = System::Drawing::Size(158, 24);
			this->label3->TabIndex = 6;
			this->label3->Text = L"ODEMx Location:";
			// 
			// Form1
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(10, 22);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->ClientSize = System::Drawing::Size(914, 243);
			this->Controls->Add(this->label3);
			this->Controls->Add(this->label2);
			this->Controls->Add(this->button3);
			this->Controls->Add(this->textBox3);
			this->Controls->Add(this->button2);
			this->Controls->Add(this->label1);
			this->Controls->Add(this->button1);
			this->Controls->Add(this->textBox1);
			this->Controls->Add(this->textBox2);
			this->Name = L"Form1";
			this->Text = L"ODEMx Project Creator";
			this->ResumeLayout(false);
			this->PerformLayout();

		}
#pragma endregion

	// Additional member data for the backend of this application.
	// The class ProjectWriter reads a Visual Studio project template file,
	// replaces a few place holders with code and creates a new working
	// Visual Studio project
	private:
		ProjectWriter^ projectWriter;
		bool templateFound;
		bool odemxFound;

	// All of the following functions are VS-generated event handler functions.
	// They provide the interface for collecting the data needed to create
	// the new Visual Studio project file.

	// clicked browse button for opening template file
	private: System::Void button1_Click(System::Object^  sender, System::EventArgs^  e) {
				 
				 openFileDialog1 -> ShowDialog();
			 }
	
	// file selected, check for correct file, 
	// stores file name in text box or gives error message
	private: System::Void openFileDialog1_FileOk(System::Object^  sender, System::ComponentModel::CancelEventArgs^  e) {
				
				 System::String^ tmp = openFileDialog1 -> FileName;

				 if( ! tmp -> EndsWith("VSProjectTemplate.xml") ) {
					 
					 MessageBox::Show("Please choose file VSProjectTemplate.xml",
									  "Error",
									  MessageBoxButtons::OK,
									  MessageBoxIcon::Error);
				 }
				 else {
				    templateFound = true;
					textBox1 -> Text = tmp;
				 }
				 //projectWriter -> setTemplateFile( openFileDialog1 -> FileName );
			 }
	
	// clicked browse button to get odemx folder location
	private: System::Void button2_Click(System::Object^  sender, System::EventArgs^  e) {

				 System::Windows::Forms::DialogResult result = folderBrowserDialog1 -> ShowDialog();

				 if( result == System::Windows::Forms::DialogResult::OK ) {
					 
					 System::String^ tmp = folderBrowserDialog1 -> SelectedPath;

					 if( ! tmp -> EndsWith("odemx") ) {
						 
						 MessageBox::Show("Please choose folder odemx",
										  "Error",
										  MessageBoxButtons::OK,
										  MessageBoxIcon::Error);
					 }
					 else {
					    odemxFound = true;
						textBox3 -> Text = tmp;
					 }
				 }
			 }

	// clicked create project button, checks for existence of
	// project name, VS template file location, and odemx library location,
	// opens a save file dialog to select the name and location of
	// the new project file
	// finally calls ProjectWriter::writeProjectFile() to create the new project
	private: System::Void button3_Click(System::Object^  sender, System::EventArgs^  e) {
		
			 // check project name
			 if( System::String::IsNullOrEmpty( textBox2 -> Text ) ) {
				 
				 MessageBox::Show("Missing project name",
								  "Error",
								  MessageBoxButtons::OK,
								  MessageBoxIcon::Error);
				 return;
			 }

			 // check if template file was selected
			 if( ! templateFound ) {

				 MessageBox::Show("Missing template file location",
								  "Error",
								  MessageBoxButtons::OK,
								  MessageBoxIcon::Error);
				 return;
			 }

			 // check if odemx folder was selected
			 if( ! odemxFound ) {

				 MessageBox::Show("Missing odemx library location",
								  "Error",
								  MessageBoxButtons::OK,
								  MessageBoxIcon::Error);
				 return;
			 }

			 // all checks passed, set required data for ProjectWriter
			 projectWriter -> setTemplateFile( textBox1 -> Text );
			 projectWriter -> setProjectName( textBox2 -> Text );
			 projectWriter -> setOdemxLocation( textBox3 -> Text );
			 
			 // initialize SaveFileDialog
			 saveFileDialog1 -> Filter = "Visual C++ project files (*.vcproj)|*.vcproj";
			 saveFileDialog1 -> FilterIndex = 1;
			 saveFileDialog1 -> RestoreDirectory = true;
			 saveFileDialog1 -> FileName = projectWriter -> getProjectName();

			 // if dialog returns OK, get the file name and call ProjectWriter
			 if ( saveFileDialog1 -> ShowDialog() == System::Windows::Forms::DialogResult::OK )
			 {
				System::String^ path = saveFileDialog1 -> FileName;

				// creates the project file and fills it 
				// with the given information
				projectWriter -> writeProjectFile( path );

				// notify user about successful project creation
				MessageBox::Show( System::String::Concat( 
								  "Created ODEMx project '",
								  projectWriter -> getProjectName(), "'" ) );

				// end program
				exit( 0 );
			 }
		}
};
}

